nctl
===============

CLI application to setup & control multiple local Casper networks.

What is nctl ?
--------------------------------------

nctl stands for **n**[etwork|ode] **c**on**t**ro**l**.  Its goal is to simplify localised control of a test Casper network.

Why nctl ?
--------------------------------------

Many developers & community users will wish to spin up relatively small test networks in a localised setting.  Adopting a standardised approach is thus helpful.

Who uses nctl ?
--------------------------------------

CSPR network community.  This encompasses developers, validators, evaluators ... etc.


Requirements
--------------------------------------
    - python3 + pip
    - make
    - cargo
    - bash
    - jq (bash utility library for parsing json)


Plus the requirements to build [casper-node](https://github.com/CasperLabs/casper-node#pre-requisites-for-building)

Setup
--------------------------------------

See [here](docs/setup.md) for setup details.

Commands
--------------------------------------

See [here](docs/commands.md) for command details.

Usage
--------------------------------------

See [here](docs/usage.md) for usage details.
